VM images
Get a VM image
Read a reusable image and its provider snapshot ID, repositories, cache key, and expiration.
TypeScript SDKThe npm client, generated from the API spec.Python SDKThe PyPI client, sync and async.
| Method | Path | Required permissions |
|---|---|---|
| GET | /v1/vm-images/{image_id} | read:environments |
Token access
- API key
- Supported.
- CLI user token
- Supported.
- Sandbox token
- Unavailable. Not supported by sandbox tokens, even with permissions.ellipsis enabled.
Higher permission levels include lower levels: read < write < delete.
Path parameters
image_idstringrequired
curl "https://api.ellipsis.dev/v1/vm-images/{image_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.vm_images.get("...")
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.vmImages.get('...');
console.log(result);Request
Response
Example response, 200
{
"cache_key": "string",
"created_at": "2026-01-01T00:00:00Z",
"expires_at": "2026-01-01T00:00:00Z",
"id": "string",
"snapshot_id": "string",
"source": "provisioning",
"status": "ready"
}